/* Q5 Template */

select
	'Product Top',
	custlevel.$CUST_GIVEN_LEVEL_FNAME,
	timelevel.month_level,
	sum (a.unitssold)                        AS UnitsSold, 
	sum (a.dollarsales)                      as DollarSales, 
	sum (a.dollarsales) / sum (a.unitssold)  as AvgSellingPrice,
	sum (a.DollarCost)                       as DollarCost,
	sum (a.dollarsales) - sum (a.DollarCost) as Margin
from 
	planvars a, timelevel, custlevel
where
	    a.time_level = timelevel.Month_level
	and a.customer_level = custlevel.store_level
	and custlevel.$CUST_GIVEN_LEVEL_FNAME = '$CUSTMEMBER'
group by
	custlevel.$CUST_GIVEN_LEVEL_FNAME,
	timelevel.month_
order by
	custlevel.$CUST_GIVEN_LEVEL_FNAME,
	timelevel.month_
;

/* end of SQL */
